Get task
AuthorizationBearer <token>
API key as a Bearer token (Authorization: Bearer ).
In: header
Path Parameters
id*string
Task ID (ULID)
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.fotovid.co/v1/tasks/string"{
"completed_at": "2026-07-16T12:00:04Z",
"created_at": "2026-07-16T12:00:00Z",
"data_removed": false,
"error": null,
"expires_at": "2026-07-23T12:00:04Z",
"id": "01JR3F5Z0M8W2K9YQ7B4C6D8E0",
"metrics": {
"total_time": 3.2
},
"outputs": [
{
"kind": "video",
"url": "https://cdn.fotovid.co/sync/9f8e7d/out.mp4?X-Amz-Expires=900&X-Amz-Signature=e3b0c44298fc1c14"
}
],
"source": "api",
"started_at": "2026-07-16T12:00:01Z",
"status": "succeeded",
"task_type": "video.trim",
"urls": {
"get": "https://cdn.fotovid.co/sync/9f8e7d/out.mp4?X-Amz-Expires=900&X-Amz-Signature=e3b0c44298fc1c14"
}
}{
"code": "AUTH_UNAUTHORIZED",
"detail": "Missing or invalid API key",
"instance": "/v1/tasks/{id}",
"request_id": "01JR3F5Z0M8W2K9YQ7B4C6D8E0",
"status": 401,
"title": "Unauthorized",
"type": "https://api.fotovid.co/errors/authentication"
}{
"code": "PERMISSION_FORBIDDEN",
"detail": "You do not have access to this resource",
"instance": "/v1/tasks/{id}",
"request_id": "01JR3F5Z0M8W2K9YQ7B4C6D8E0",
"status": 403,
"title": "Forbidden",
"type": "https://api.fotovid.co/errors/authorization"
}{
"code": "RESOURCE_NOT_FOUND",
"detail": "The requested resource was not found",
"instance": "/v1/tasks/{id}",
"request_id": "01JR3F5Z0M8W2K9YQ7B4C6D8E0",
"status": 404,
"title": "Not Found",
"type": "https://api.fotovid.co/errors/not-found"
}{
"code": "RATE_LIMIT_EXCEEDED",
"detail": "Rate limit exceeded; retry after the indicated delay",
"instance": "/v1/tasks/{id}",
"request_id": "01JR3F5Z0M8W2K9YQ7B4C6D8E0",
"status": 429,
"title": "Too Many Requests",
"type": "https://api.fotovid.co/errors/rate-limit"
}{
"code": "INTERNAL",
"detail": "An internal error occurred",
"instance": "/v1/tasks/{id}",
"request_id": "01JR3F5Z0M8W2K9YQ7B4C6D8E0",
"status": 500,
"title": "Internal Server Error",
"type": "https://api.fotovid.co/errors/internal"
}